Не работает ODBC

Linux/*BSD и всё что с ними связано.

Модераторы: Admins, Модераторы

Ответить
xmaster83
Сообщения: 134
Зарегистрирован: 02 фев 2012, 09:19

Не работает ODBC

Сообщение xmaster83 » 11 июн 2012, 19:52

Ребят , помогите пытаюсь прикрутить odbc

не могу собрать драйвер libmyodbc3.so на FreeBSD 9.0 (может там другой нужен ,,??)

я уже порты посмотрел все, кроме /usr/ports/databases/libiodbc. не чего не нашёл (порты обновил)

а когда начинаю собирать его то

===> libiodbc-3.52.8 conflicts with installed package(s):
unixODBC-2.3.1

They install files into the same place.
You may want to stop build with Ctrl + C.
===> License BSD LGPL20 accepted by the user

===> libiodbc-3.52.8 conflicts with installed package(s):
unixODBC-2.3.1

They will not build together.
Please remove them first with pkg_delete(1)

pkg_info показывает

libodbc++-0.2.3_8 A C++ class library and toolset for ODBC access to data sou
mysql2odbc-0.99.2_4 Openlink MySQL-ODBC Gateway
php5-odbc-5.3.10_1 The odbc shared extension for php
unixODBC-2.3.1 ODBC library suite for Unix

bos
Сообщения: 13
Зарегистрирован: 03 дек 2011, 00:02

Сообщение bos » 10 сен 2012, 09:36

вот тут все писал в картинках правда на 8.3
http://bos.avenue.com.ua/asterisk/mysqlasterisk.html

xelas
admin
Сообщения: 1074
Зарегистрирован: 05 мар 2007, 11:21

Сообщение xelas » 10 сен 2012, 10:16

Я не очень понял в чем у вас проблема?
Судя по тому, что вы показали, unixODBC у вас установлен.
А вы пытаетесь поставить IODBC. iODBC -- это, так сказать, замена unixODBC.
Вот они и конфликтуют. Астериск может работать и с тем, и с другим.
Так что вы все-таки определитесь, что хотите конкретно вы.
И если вам действительно жизненно необходим iODBC снесите unixODBC и будет вам счастье. Правда, перестанут работать приложения ориентированные именно на unixODBC.

А ODBC драйвер mySQLя должен быть в databases/mysql-connector-odbc

Ответить